Part Auseinanderschneiden

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part SliceApart and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎русский
Arrow-left.svg Vorherige: Part BooleanFragments.svg Boolesche Fragmente
Nächste: Zerschneiden Part Slice.svg Arrow-right.svg

Part SliceApart.svg Part Auseinanderschneiden

Menüeintrag
Formteil → Teilen → Auseinanderschneiden
Arbeitsbereich
Part
Standardtastenkürzel
Keiner
Eingeführt in Version
0.18.15506
Siehe auch
Part Teilen zu einem Verbund, Part Verbund Sprengen

Beschreibung

Werkzeug zum zerteilen von Formen durch Überschneiden mit anderen Formen. Beispielsweise werden aus einem Quader und einer Ebene zwei Volumenkörper erzeugt. Part Slice Demo.png

Oben: Die Stücke wurden anschließend manuell auseinandergeschoben, um das Zerschneiden sichtbar zu machen.

Auseinanderschneiden ist dasselbe wie Part Slice.svg Zerschneiden, gefolgt von Part ExplodeCompound.svg Verbund sprengen. Während "Zerschneiden" vollparametrisch ist und keine Probleme verursacht, wenn sich die Anzahl der Teile ändert, aktualisiert "Auseinanderschneiden" die Anzahl der Objekte nicht, wenn sich die Anzahl der Teile ändert. Beide erzeugen ein parametrisches Scheiben Formelement, das die geschnittenen Teile in einen Verbund bringt, aber "Auseinander Schneiden" sprengt den resultierenden Verbund in separate Objekte.

Die Ausgabeform nimmt den gleichen Platz ein wie das Original. Sie wird jedoch dort wo andere Formen überschnitten werden, zerteilt. Die zerteilten Teile sind einzelne Stücke.


Bitte besuche die Formteil Zerschneiden Seite für weitere Informationen.

Baumstruktur von Auseinanderschneiden

Der Befehl Auseinanderschneiden erzeugt mehr als nur das geschnittene Objekt. Im folgenden Beispiel wird ein Würfel durch eine Fläche geschnitten.

Die Scheibe wird erstellt und für jedes Stück davon wird ein Part VerbundFilter erstellt, so dass dieselbe Scheibe mehrfach unter jedem VerbundFilter auftritt. Alle diese VerbundFilter sind in einem Verbund zusammengefasst.

Part SliceApartTree.png

Beispiel

Skripten

Das Werkzeug kann in Makros und aus der Python Konsole heraus durch Verwendung der folgenden Funktionen verwendet werden:

BOPTools.SplitFeatures.makeSlice(name)

Setze Modus auf zerschneiden für Auseinander Schneiden

  • Erstellt eine leeres Scheiben Formelement. Die 'Basis' und 'Werkzeug' Eigenschaften müssen anschließend explizit zugewiesen werden.
  • Gibt das neu erstellte Objekt zurück.

Scheibe kann auch auf einfache Formen angewendet werden, ohne dass ein Dokumentobjekt erforderlich ist, über:

BOPTools.SplitAPI.slice(base_shape, tool_shapes, mode, tolerance = 0.0)

Dies kann nützlich sein, um benutzerdefinierte Python Skriptfunktionen zu erstellen.


Beispiel:

import BOPTools.SplitFeatures
j = BOPTools.SplitFeatures.makeSlice(name= 'Slice')
j.Base = FreeCADGui.Selection.getSelection()[0]
j.Tools = FreeCADGui.Selection.getSelection()[1:]

Das Werkzeug selbst ist in Python implementiert, siehe /Mod/Part/BOPTools/SplitFeatures.py (GitHub link) innerhalb des FreeCAD Installationsverzeichnisses.

Hinweise

Auseinanderschneiden wurde in FreeCAD v0.18.15506 eingeführt. FreeCAD muss mit OCC 6.9.0 oder später kompiliert werden. Andernfalls ist das Werkzeug nicht verfügbar.

Videotutorien


Arrow-left.svg Vorherige: Part BooleanFragments.svg Boolesche Fragmente
Nächste: Zerschneiden Part Slice.svg Arrow-right.svg